<?xml version="1.0"?>
<configuration>
  <configSections>
    <sectionGroup name="WebFoundations">
      <section name="Remoting" type="WebFoundations.Remoting.RemotingSection,WebFoundations.Remoting"/>
      <!-- ESTA SECAO SO E NECESSARIA NO SERVER -->
      <section name="RemotingAssemblies" type="WFRemotingService.RemotingAssembliesSection,WFRemotingService"/>
    </sectionGroup>
  </configSections>
  <WebFoundations>
    <Remoting ServerName="localhost" Channel="tcp" Port="8088" ServiceName="NammaDataAccess"/>
    <!-- 
        MESMO SE NAO FOR COLOCADA NENHUMA CLASSE, ESTAS 4 CLASSES SAO CARREGADAS POR DEFAULT 
        ESTAS CLASSES ESTAO NO ARQUIVO COMO EXEMPLO DE UTILIZACOO
    -->
    <RemotingAssemblies>
      <!-- ESTAS SAO AS CLASSES NOVAS -->
      <RemotingAssembly Name="WebFoundations.DataAccess" ClassName="WebFoundations.DataAccess.DataAccessProxy"/>
      <RemotingAssembly Name="WebFoundations.DataMapper" ClassName="WebFoundations.DataMapper.Adapter.NHibernateProxy"/>
      <!-- ESTAS SAO AS CLASSES PARA COMPATIBILIDADE -->
      <RemotingAssembly Name="WebFoundations.Data" ClassName="WebFoundations.Data.ORMEngine.ORMProxy"/>
      <RemotingAssembly Name="WebFoundations.Data" ClassName="WebFoundations.Data.DAEngine.DataAccessProxy"/>
    </RemotingAssemblies>
  </WebFoundations>
  <connectionStrings>
    <clear/>
    <add name="ConnectionString" connectionString="" providerName="SQLServer"/>
  </connectionStrings>
  <appSettings>
    <add key="WFFramework.Remoting.ServiceName" value="Namma"/>
  </appSettings>
  <system.web>
    <healthMonitoring heartbeatInterval="0" enabled="true">
      <profiles>
        <add name="Default" minInstances="1" maxLimit="Infinite" minInterval="00:00:00" custom=""/>
      </profiles>
      <bufferModes>
        <add name="CriticalEmail" maxBufferSize="100" maxFlushSize="20" urgentFlushThreshold="1" regularFlushInterval="00:10:00" urgentFlushInterval="00:01:00" maxBufferThreads="1"/>
        <add name="LogFileBuffer" maxBufferSize="50" maxFlushSize="10" urgentFlushThreshold="1" regularFlushInterval="00:10:00" urgentFlushInterval="00:01:00" maxBufferThreads="1"/>
      </bufferModes>
      <providers>
        <add name="LogFileProvider" type="WebFoundations.Monitoring.EventProviders.FileLog,WebFoundations.Monitoring.EventProviders" buffer="true" bufferMode="LogFileBuffer" LogPath="D:\Remoting\_Logs\"/>
        <add name="SimpleLogFileProvider" type="WebFoundations.Monitoring.EventProviders.SimpleFileLog,WebFoundations.Monitoring.EventProviders" buffer="false" bufferMode="LogFileBuffer" LogPath="D:\Remoting\_Logs\"/>
      </providers>
      <eventMappings>
        <add name="Audit" type="WebFoundations.Monitoring.AuditEvent,WebFoundations.Monitoring"/>
        <add name="Warning" type="WebFoundations.Monitoring.WarningEvent,WebFoundations.Monitoring"/>
        <add name="CriticalError" type="WebFoundations.Monitoring.CriticalError,WebFoundations.Monitoring"/>
        <add name="NonCriticalError" type="WebFoundations.Monitoring.NonCriticalError,WebFoundations.Monitoring"/>
        <add name="Performance" type="WebFoundations.Monitoring.PerformanceMonitor,WebFoundations.Monitoring"/>
        <add name="DataAccessError" type="WebFoundations.Monitoring.DataAccessError,WebFoundations.Monitoring"/>
        <add name="GeneralError" type="WebFoundations.Monitoring.GeneralError,WebFoundations.Monitoring"/>
      </eventMappings>
      <rules>
        <add name="Critical Errors 1" eventName="CriticalError" provider="LogFileProvider" profile="Default"/>
        <add name="Non Critical Errors" eventName="NonCriticalError" provider="LogFileProvider" profile="Default"/>
        <add name="Data Acess Error" eventName="DataAccessError" provider="LogFileProvider" profile="Default"/>
        <add name="Audit Messages 1" eventName="Audit" provider="LogFileProvider" profile="Default"/>
        <add name="Warning Messages 1" eventName="Warning" provider="LogFileProvider" profile="Default"/>
        <!--<add name="Performance Monitor" eventName="Performance" provider="EventLogProvider" profile="Performance"/>-->
      </rules>
    </healthMonitoring>
  </system.web>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6"/>
  </startup>
</configuration>
